Bug 27953 - LPRNG problem with Red Hat Fisher
LPRNG problem with Red Hat Fisher
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: LPRng (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-16 03:17 EST by Mike S
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-16 03:18:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mike S 2001-02-16 03:17:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux 2.4.0-0.99.11 i686; en-US; 0.7)
Gecko/20010118


I am not sure that what I am posting is necessarily a new bug.  I checked
out other bugs posted and there are two that are very similar to mine but
do not seem to explicitly state exactly what is happenning.   Being a
person who likes clarity, I decided to state the problem in clearer less
ambiguous terms.  When I install Red Hat Fisher, it does not seem, by
default to install the LPrng rpm.  I am not sure if this is by accident or
by design.  However, I noticed immediately when I started Gnome that the
Control Panel did not have an icon for the printer as it has typically in
every other Red Hat release I've used prior to Fisher.  I didn't think much
of it and figured maybe the print tool just changed location.  I decided
since I also had KDE installed that I wanted to try it out.  When I tried
accessing the print tool from within KDE it complained mentioning something
about the LPrng tool being needed.  Therefore, I took it upon myself to
look up on the web for this tool and found it on a web page which also
stated I needed rhs-printfilters.  So I downloaded both of these once I
located them on the web ensuring that they were in rpm format because I
love installing via rpm rather then thru source.   And my printing system
started to work after some tweaking.  However, even after installing these
packages from the net, some bizarre behavior has occurred that never
happenned before when I used Previous versions of Red hat which auto
installed those files.  What happenned is that a few times my printcap file
has become corrupt for no apparent reason that I can determine.  I never
modify the printcap file manually so I have no idea how it could have been
corrupted.  Secondly, when I try to use the print tool from within the
control panel to add a printer as I have with previous versions of red hat,
it creates the file /var/spool/lpd/lp .  However, it does not create this
file with the correct permissions and whenever the printcap file gets
corrupted and I am forced to delete the printer from the print tool and
reinstall it, it recreates this file with incorrect permissions.   This
forces me each time this occurs to go thru a rather annoying process to get
it to work again.  I am always successful in getting it to work again.
However, the printcap file seems to get corrupted every once in awhile.
This does not occur real frequently, but frequently enough to be a major
pain.

Reproducible: Didn't try
Steps to Reproduce:
1. install red hat fisher
2. install LPrng latest version
3.install rhs-printfilters from rpm.org
4. install Epson Sylus any stcany 360x360
	

Actual Results:  I was able to successfully install the printer but it
seems that it is not very reliable.  This may have to do with
incompatibilities between the rpms that I downloaded and the changes made
in Red hat Fisher.  Things basically work after installing the rpms but the
printcap file crashes consistently.  The steps above should help to try to
reproduce the problem though they may not help exactly.  In order to assist
more thoroughly I will try to submit as many of my log files and details of
my system architecture as possible.

Expected Results:  the printer should have been installed and should work
properly without causing any corruption to the printcap file.

Firstly, here are details of my computer system:
/proc/cpuinfo
processor       : 0
vendor_id       : GenuineIntel
cpu family      : 6
model           : 8
model name      : Pentium III (Coppermine)
stepping        : 1
cpu MHz         : 551.261
cache size      : 256 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 2
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 sep mtrr pge mca cmov
pat pse36 mmx fxsr sse
bogomips        : 1097.72


----------------------------------------------------------------

/proc/ioports

0000-001f : dma1
0020-003f : pic1
0040-005f : timer
0060-006f : keyboard
0070-007f : rtc
0080-008f : dma page reg
00a0-00bf : pic2
00c0-00df : dma2
00f0-00ff : fpu
0170-0177 : ide1
01f0-01f7 : ide0
0376-0376 : ide1
0378-037a : parport0
037b-037f : parport0
03c0-03df : vga+
03f6-03f6 : ide0
03f8-03ff : serial(auto)
0778-077a : parport0
0cf8-0cff : PCI conf1
d000-dfff : PCI Bus #01
  d000-d0ff : 3Dfx Interactive, Inc. Voodoo 3
e000-e00f : VIA Technologies, Inc. Bus Master IDE
  e000-e007 : ide0
  e008-e00f : ide1
e400-e41f : VIA Technologies, Inc. UHCI USB
  e400-e41f : usb-uhci
e800-e81f : Realtek Semiconductor Co., Ltd. RTL-8029(AS)
  e800-e81f : ne2k-pci


-------------------------------------------------------------------

/proc/devices

Character devices:
  1 mem
  2 pty
  3 ttyp
  4 ttyS
  5 cua
  6 lp
  7 vcs
 10 misc
 29 fb
 36 netlink
 81 video_capture
108 ppp
109 lvm
128 ptm
136 pts
162 raw
180 usb

Block devices:
  1 ramdisk
  2 fd
  3 ide0
  9 md
 22 ide1
 58 lvm

---------------------------------------------------------------------

/proc/iomem

00000000-0009fbff : System RAM
0009fc00-0009ffff : reserved
000a0000-000bffff : Video RAM area
000c0000-000c7fff : Video ROM
000f0000-000fffff : System ROM
00100000-07ffffff : System RAM
  00100000-00210fb5 : Kernel code
  00210fb6-00277f87 : Kernel data
d0000000-d3ffffff : VIA Technologies, Inc. VT82C693A/694x [Apollo PRO133x]
d4000000-d7ffffff : PCI Bus #01
  d4000000-d5ffffff : 3Dfx Interactive, Inc. Voodoo 3
d8000000-d9ffffff : PCI Bus #01
  d8000000-d9ffffff : 3Dfx Interactive, Inc. Voodoo 3
da000000-da007fff : Yamaha Corporation YMF-724F [DS-1 Audio Controller]
ffff0000-ffffffff : reserved



---------------------------------------------------------------------

/proc/dma

 4: cascade


-------------------------------------------------------------------

/proc/filesystems


nodev   sockfs
nodev   swapfs
nodev   shm
nodev   pipefs
nodev   proc
        ext2
        iso9660
nodev   devpts
nodev   usbdevfs
nodev   autofs

-----------------------------------------------------------------------

/proc/interrupts

 CPU0
0:     498525          XT-PIC  timer
1:      11652          XT-PIC  keyboard
2:          0          XT-PIC  cascade
8:          1          XT-PIC  rtc
10:      12214          XT-PIC  usb-uhci, eth0
12:     210277          XT-PIC  PS/2 Mouse
14:      17506          XT-PIC  ide0
15:          2          XT-PIC  ide1
NMI:          0
ERR:          0


---------------------------------------------------------------------------

/proc/modules
  lp                      5584   1 (autoclean)
tdfx                   57584   1
ppp_async               6128   1 (autoclean)
ppp_generic            15968   3 (autoclean) [ppp_async]
autofs                 11152   1 (autoclean)
ipchains               33440   0 (unused)
agpgart                23360   1
cpia_usb                4640   0 (autoclean) (unused)
parport_pc             17776   1 (autoclean)
cpia_pp                 3728   0 (autoclean) (unused)
parport                24768   1 (autoclean) [lp parport_pc cpia_pp]
cpia                   44080   0 [cpia_usb cpia_pp]
videodev                4896   0 [cpia]
usb-uhci               22176   0 (unused)
usbcore                48960   1 [cpia_usb usb-uhci]
ne2k-pci                4896   1
8390                    6576   0 [ne2k-pci]

----------------------------------------------------------------------
/proc/pci

PCI devices found:
Bus  0, device   0, function  0:
Host bridge: VIA Technologies, Inc. VT82C693A/694x [Apollo PRO133x] (rev 68).
Prefetchable 32 bit memory at 0xd0000000 [0xd3ffffff].
Bus  0, device   1, function  0:
PCI bridge: VIA Technologies, Inc. VT82C598/694x [Apollo MVP3/Pro133x AGP]
(rev 0).
Master Capable.  No bursts.  Min Gnt=12.
Bus  0, device   7, function  0:
ISA bridge: VIA Technologies, Inc. VT82C596 ISA [Mobile South] (rev 33).
Bus  0, device   7, function  1:
IDE interface: VIA Technologies, Inc. Bus Master IDE (rev 16).
Master Capable.  Latency=32.
I/O at 0xe000 [0xe00f].
Bus  0, device   7, function  2:
USB Controller: VIA Technologies, Inc. UHCI USB (rev 13).
IRQ 10.
Master Capable.  Latency=32.
I/O at 0xe400 [0xe41f].
Bus  0, device   7, function  3:
Host bridge: VIA Technologies, Inc. VT82C596 Power Management (rev 48).
Bus  0, device  11, function  0:
Multimedia audio controller: Yamaha Corporation YMF-724F [DS-1 Audio
Controller] (rev 3).
IRQ 5.
Master Capable.  Latency=32.  Min Gnt=5.Max Lat=25.
Non-prefetchable 32 bit memory at 0xda000000 [0xda007fff].
Bus  0, device  15, function  0:
Ethernet controller: Realtek Semiconductor Co., Ltd. RTL-8029(AS) (rev 0).
IRQ 10.
I/O at 0xe800 [0xe81f].
Bus  1, device   0, function  0:
VGA compatible controller: 3Dfx Interactive, Inc. Voodoo 3 (rev 1).
IRQ 11.
Non-prefetchable 32 bit memory at 0xd4000000[0xd5ffffff].
Prefetchable 32 bit memory at 0xd8000000 [0xd9ffffff].
I/O at 0xd000 [0xd0ff].
-----------------------------------------------------------------------

/proc/misc

 63 tdfx
175 agpgart
135 rtc
1 psaux
134 apm_bios


------------------------------------------------------------------

/proc/version

Linux version 2.4.0-0.99.11 (root@porky.devel.redhat.com) (gcc version 2.96
20000731 (Red Hat Linux 7.0)) #1 Wed Jan 24 16:07:17 EST 2001


---------------------------------------------------------------------
/proc/swaps

Filename                        Type            Size    Used    Priority
/dev/hdb9                       partition       200772  136     -1

-------------------------------------------------------------------


/var/dmesg

Linux version 2.4.0-0.99.11 (root@porky.devel.redhat.com) (gcc version 2.96
20000731 (Red Hat Linux 7.0)) #1 Wed Jan 24 16:07:17 EST 2001
BIOS-provided physical RAM map:
BIOS-e820: 000000000009fc00 @ 0000000000000000 (usable)
BIOS-e820: 0000000000000400 @ 000000000009fc00 (reserved)
BIOS-e820: 0000000000010000 @ 00000000000f0000 (reserved)
BIOS-e820: 0000000000010000 @ 00000000ffff0000 (reserved)
BIOS-e820: 0000000007f00000 @ 0000000000100000 (usable)
On node 0 totalpages: 32768
zone(0): 4096 pages.
zone(1): 28672 pages.
zone(2): 0 pages.
Kernel command line: initrd=initrd.img root=/dev/hdb6 BOOT_IMAGE=vmlinuz auto
Initializing CPU#0
Detected 551.261 MHz processor.
Console: colour VGA+ 80x25
Calibrating delay loop... 1097.72 BogoMIPS
Memory: 126240k/131072k available (1091k kernel code, 4444k reserved, 411k
data, 220k init, 0k highmem)
Dentry-cache hash table entries: 16384 (order: 5, 131072 bytes)
Buffer-cache hash table entries: 8192 (order: 3, 32768 bytes)
Page-cache hash table entries: 32768 (order: 5, 131072 bytes)
Inode-cache hash table entries: 8192 (order: 4, 65536 bytes)
VFS: Diskquotas version dquot_6.5.0 initialized
CPU: Before vendor init, caps: 0383f9ff 00000000 00000000, vendor = 0
CPU: L1 I cache: 16K, L1 D cache: 16K
CPU: L2 cache: 256K
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
CPU: After vendor init, caps: 0383f9ff 00000000 00000000 00000000
CPU: After generic, caps: 0383f9ff 00000000 00000000 00000000
CPU: Common caps: 0383f9ff 00000000 00000000 00000000
CPU: Intel Pentium III (Coppermine) stepping 01
Enabling fast FPU save and restore... done.
Enabling unmasked SIMD FPU exception support... done.
Checking 'hlt' instruction... OK.
POSIX conformance testing by UNIFIX
mtrr: v1.37 (20001109) Richard Gooch (rgooch@atnf.csiro.au)
mtrr: detected mtrr type: Intel
PCI: PCI BIOS revision 2.10 entry at 0xfb300, last bus=1
PCI: Using configuration type 1
PCI: Probing PCI hardware
PCI: Using IRQ router VIA [1106/0596] at 00:07.0
Activating ISA DMA hang workarounds.
isapnp: Scanning for Pnp cards...
isapnp: No Plug & Play device found
Linux NET4.0 for Linux 2.4
Based upon Swansea University Computer Society NET3.039
Initializing RT netlink socket
DMI 2.2 present.
43 structures occupying 1116 bytes.
DMI table at 0x000F0800.
BIOS Vendor: Award Software International, Inc.
BIOS Version: 4.51 PG
BIOS Release: 03/23/00
System Vendor: VIA Technologies, Inc..
Product Name: VT82C692BX.
Version  .
Serial Number  .
apm: BIOS version 1.2 Flags 0x07 (Driver version 1.14)
Starting kswapd v1.8
pty: 256 Unix98 ptys configured
block: queued sectors max/low 83829kB/62872kB, 256 slots per queue
RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
Uniform Multi-Platform E-IDE driver Revision: 6.31
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
VP_IDE: IDE controller on PCI bus 00 dev 39
VP_IDE: chipset revision 16
VP_IDE: not 100% native mode: will probe irqs later
VP_IDE: VIA vt82c596b IDE UDMA66 controller on pci0:7.1
hda: Maxtor 53073U6, ATA DISK drive
hdb: FUJITSU MPF3102AT, ATA DISK drive
ide: Assuming 33MHz system bus speed for PIO modes; override with idebus=xx
hdc: SONY CD-RW CRX120E, ATAPI CD/DVD-ROM drive
ide0 at 0x1f0-0x1f7,0x3f6 on irq 14
ide1 at 0x170-0x177,0x376 on irq 15
hda: 60030432 sectors (30736 MB) w/2048KiB Cache, CHS=3736/255/63, UDMA(66)
hdb: 20015856 sectors (10248 MB) w/512KiB Cache, CHS=1245/255/63, UDMA(66)
Partition check:
hda: hda1 hda3 < >
hdb: hdb1 hdb2 < hdb5 hdb6 hdb7 hdb8 hdb9 hdb10 >
Floppy drive(s): fd0 is 1.44M
FDC 0 is a post-1991 82077
LVM version 0.9  by Heinz Mauelshagen  (13/11/2000)
lvm -- Driver successfully initialized
RAMDISK: Compressed image found at block 0
Freeing initrd memory: 250k freed
Serial driver version 5.02 (2000-08-09) with MANY_PORTS MULTIPORT SHARE_IRQ
SERIAL_PCI ISAPNP enabled
ttyS00 at 0x03f8 (irq = 4) is a 16550A
Real Time Clock Driver v1.10d
atp.c:v1.09 8/9/2000 Donald Becker <becker@scyld.com>
ACPI: System description tables not found
md driver 0.90.0 MAX_MD_DEVS=256, MD_SB_DISKS=27
md.c: sizeof(mdp_super_t) = 4096
NET4: Linux TCP/IP 1.0 for NET4.0
IP Protocols: ICMP, UDP, TCP, IGMP
IP: routing cache hash table of 1024 buckets, 8Kbytes
TCP: Hash tables configured (established 8192 bind 8192)
NET4: Unix domain sockets 1.0/SMP for Linux NET4.0.
VFS: Mounted root (ext2 filesystem).
ne2k-pci.c:v1.02 10/19/2000 D. Becker/P. Gortmaker
  http://www.scyld.com/network/ne2k-pci.html
PCI: Found IRQ 10 for device 00:0f.0
PCI: The same IRQ used for device 00:07.2
eth0: RealTek RTL-8029 found at 0xe800, IRQ 10, 00:60:67:66:71:AA.
VFS: Mounted root (ext2 filesystem) readonly.
change_root: old root has d_count=3
Trying to unmount old root ... okay
Freeing unused kernel memory: 220k freed
Adding Swap: 200772k swap-space (priority -1)
usb.c: registered new driver usbdevfs
usb.c: registered new driver hub
usb-uhci.c: $Revision: 1.251 $ time 16:17:52 Jan 24 2001
usb-uhci.c: High bandwidth mode enabled
PCI: Found IRQ 10 for device 00:07.2
PCI: The same IRQ used for device 00:0f.0
usb-uhci.c: USB UHCI at I/O 0xe400, IRQ10
usb-uhci.c: Detected 2 ports
usb.c: new USB bus registered, assigned bus number 1
hub.c: USB hub found
hub.c: 2 ports detected
Linux video capture interface: v1.00
V4L-Driver for Vision CPiA based cameras v0.7.4
Parallel port driver for Vision CPiA based cameras v0.7.4
Winbond Super-IO detection, now testing ports 3F0,370,250,4E,2E ...
Winbond chip at EFER=0x3f0 key=0x87 devid=52 devrev=f4 oldid=ff
Winbond chip type 83977EF / SMSC 97w35x
Winbond LPT Config: cr_30=01 60,61=0378 70=07 74=03, f0=07
Winbond LPT Config: active=yes, io=0x0378 irq=7, dma=3
Winbond LPT Config: irqtype=pulsed low, high-Z, ECP fifo threshold=0
Winbond LPT Config: Port mode=ECP and EPP-1.7
SMSC Super-IO detection, now testing Ports 2F0, 370 ...
0x378: FIFO is 16 bytes
0x378: writeIntrThreshold is 16
0x378: readIntrThreshold is 16
0x378: PWord is 8 bits
0x378: Interrupts are ISA-Pulses
0x378: ECP port cfgA=0x10 cfgB=0x48
0x378: ECP settings irq=7 dma=<none or set by other means>
parport0: PC-style at 0x378 (0x778) [PCSPP,TRISTATE,COMPAT,EPP,ECP]
parport0: irq 7 detected
parport0: cpp_daisy: aa5500ff(98)
parport0: assign_addrs: aa5500ff(98)
parport0: Printer, EPSON Stylus
usb.c: registered new driver cpia
Linux agpgart interface v0.99 (c) Jeff Hartmann
agpgart: Maximum main memory to use for agp memory: 96M
agpgart: Detected Via Apollo Pro chipset
agpgart: AGP aperture is 64M @ 0xd0000000

---------------------------------------------------------------------

the version of LPRng I am running:

[root@BlackRaven log]# rpm -q LPRng
LPRng-3.7.4-6

--------------------------------------------------------------------

the version of redhat printfilters I have installed:

[root@BlackRaven log]# rpm -q rhs-printfilters
rhs-printfilters-1.81-1

---------------------------------------------------------------------

the printer I actually have is an Epson Stylus Color 400, however I used
Epson Stylus stcany 360X360dpi as this was the closest match I could find
for my printer udner the print tool.


-------------------------------------------------------------------

from the information listed above it should be obvious I have a Pentium III
system with 550 Mhz processor, 128 megs ram, a 30 gig drive and 10 gig
drive in my system.  I have Red Hat installed on the 10 gig drive. I also
have my system partitioned off as recommended in the Red Hat installation
howto's.  In order to prevent denial of service attacks and to configure my
system for maximum security and maintainability I have separate partitions
for /var /home /boot /tmp
/usr and /

--------------------------------------------------------------------
Comment 1 Crutcher Dunnavant 2001-03-09 19:50:55 EST
Right.

kontrol-panel incorrectly listed LPRngTool as the printer configuration tool.
The printer configuration tool is printconf-gui, and this has been fixed in
kontrol-panel.

The printing system has been completely overhauled. It is much different.
Your adventures with rhs-printfilters (which has been obsoleted) have surely
confused your system.

run printconf-gui

Note You need to log in before you can comment on or make changes to this bug.